import { type Base, genBase } from "./_base"

export interface InsuranceCompany extends Base {
  code: string
  name: string
  regency_code: string
  address: string
  phoneNumber: string
}

export function genInsuranceCompany(): InsuranceCompany {
  return {
    ...genBase(),
    code: '',
    name: '',
    regency_code: '',
    address: '',
    phoneNumber: '',
    }
}
